perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Lackhoff <mich...@lackhoff.de>
Subject OT (slightly): build an up-to-date mod_perl development environment on Windows
Date Mon, 06 Apr 2009 05:17:16 GMT
Hello,

if possible I try to develop on Windows, then deploy on Linux or Solaris
for production. This worked very well in the past with a self compiled
environment (VC6). But as some components are rather old by now I would
like to recompile with recent versions of apache, perl, mod_perl,
openssl and some DBI-drivers but I had some problems with apache 2.2.11.
I have VC6 with SP5 installed, plus the 2003 Platform SDK update from
Microsoft. Perl 5.10.0 and openssl 0.9.8k compile just fine but when it
comes to Apache 2.2.11 or 2.2.10 I get lots of errors in the APR part of
the build. 2.2.9 seems to be the last version that builds o.k.

My question is twofold: First, any ideas what might be going wrong? As
there are some (VC6?) compiled versions around, this should be possible.
Or, as second choice, what would be a good working combination of
precompiled versions? In the past I had tried XAMPP but had some
problems with DBI and openssl when adding modules that didn't come with
XAMPP. These problems were gone when I compiled everything myself and I
don't want them to come back. As I understand it (I am no C programmer)
it is important for some parts of the chain to be built with the same
compiler/same settings and as it seems impossible to get everything I
need from a single (binary-)source I keep trying to compile it myself.

Any recommendations?

Thanks
-Michael

p.s.: of course I can send the detailed error messages but the output is
quite long, so it might be better to send as PM on request.

Mime
View raw message